-- JCL_ORG_SCHEME
CREATE TABLE JCL_ORG_SCHEME (
	id int IDENTITY(1,1) NOT NULL,
	scheme_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	scheme_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	scheme_description text COLLATE Chinese_PRC_CI_AS NULL,
	forbidden_tag int NULL,
	is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_SCHEME_PK PRIMARY KEY (id)
);
-- JCL_ORG_LEVEL
CREATE TABLE JCL_ORG_LEVEL (
	id int IDENTITY(1,1) NOT NULL,
	level_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	level_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text COLLATE Chinese_PRC_CI_AS NULL,
	scheme_id int null,
	forbidden_tag int NULL,
	is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_LEVEL_PK PRIMARY KEY (id)
);
-- JCL_ORG_GRADE
CREATE TABLE JCL_ORG_GRADE (
	id int IDENTITY(1,1) NOT NULL,
	grade_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	grade_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text COLLATE Chinese_PRC_CI_AS NULL,
	scheme_id int null,
	level_id varchar(100) null,
	forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_GRADE_PK PRIMARY KEY (id)
);

-- JCL_ORG_SEQUENCE
CREATE TABLE JCL_ORG_SEQUENCE (
	id int IDENTITY(1,1) NOT NULL,
	sequence_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	sequence_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text COLLATE Chinese_PRC_CI_AS NULL,
	scheme_id int null,
	forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_SEQUENCE_PK PRIMARY KEY (id)
);

-- JCL_ORG_POST
CREATE TABLE JCL_ORG_POST (
	id int IDENTITY(1,1) NOT NULL,
	post_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	post_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text COLLATE Chinese_PRC_CI_AS NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_POST_PK PRIMARY KEY (id)
);

-- JCL_ORG_POST_INFO
CREATE TABLE JCL_ORG_POST_INFO (
	id int IDENTITY(1,1) NOT NULL,
	post_info_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	post_info_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	post_info_authority text null,
	post_info_duty text null,
	post_info_qualification text null,
	post_id int null,
	description text COLLATE Chinese_PRC_CI_AS NULL,
	forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_POST_INFO_PK PRIMARY KEY (id)
);

-- JCL_ORG_COMP
CREATE TABLE JCL_ORG_COMP (
	id int IDENTITY(1,1) NOT NULL,
	comp_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	comp_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	comp_name_short varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	parent_company int null,
	org_code varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	industry int null,
	comp_principal int null,
	description text COLLATE Chinese_PRC_CI_AS NULL,
	forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_COMP_PK PRIMARY KEY (id)
);

-- JCL_FIELD_EXTENDGROUP
CREATE TABLE JCL_FIELD_EXTENDGROUP (
	id int IDENTITY(1,1) NOT NULL,
	extend_type int null,
	group_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_FIELD_EXTENDGROUP_PK PRIMARY KEY (id)
);

-- JCL_FIELD_EXTENDINFO
CREATE TABLE JCL_FIELD_EXTENDINFO (
	id int IDENTITY(1,1) NOT NULL,
	extend_type int null,
	table_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	field_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	field_name_desc varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	field_type varchar(1000) COLLATE Chinese_PRC_CI_AS NULL,
	control_type int null,
	extend_group_id int null,
	isenable int null,
	isrequired int null,
	list_show int null,
	search_show int null,
	edit_show int null,
	add_show int null,
	browser_show int null,
	show_order int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_FIELD_EXTENDINFO_PK PRIMARY KEY (id)
);

-- JCL_ORG_COMPEXT
CREATE TABLE JCL_ORG_COMPEXT (
	id int IDENTITY(1,1) NOT NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_COMPEXT_PK PRIMARY KEY (id)
);

-- JCL_ORG_COMPEXT_DT1
CREATE TABLE JCL_ORG_COMPEXT_DT1 (
	id int IDENTITY(1,1) NOT NULL,
	mainid int NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_COMPEXT_DT1_PK PRIMARY KEY (id)
);

-- JCL_ORG_DEPT
CREATE TABLE JCL_ORG_DEPT (
	id int IDENTITY(1,1) NOT NULL,
	dept_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	dept_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	dept_name_short varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	parent_comp int null,
	parent_dept int null,
	dept_principal int null,
	show_order int null,
	description text COLLATE Chinese_PRC_CI_AS NULL,
	forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_DEPT_PK PRIMARY KEY (id)
);

-- JCL_ORG_DEPTEXT
CREATE TABLE JCL_ORG_DEPTEXT (
	id int IDENTITY(1,1) NOT NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_DEPTEXT_PK PRIMARY KEY (id)
);

-- JCL_ORG_DEPTEXT_DT1
CREATE TABLE JCL_ORG_DEPTEXT_DT1 (
	id int IDENTITY(1,1) NOT NULL,
	mainid int NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_DEPTEXT_DT1_PK PRIMARY KEY (id)
);

-- JCL_ORG_JOB
CREATE TABLE JCL_ORG_JOB (
	id int IDENTITY(1,1) NOT NULL,
	job_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	job_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	parent_comp int null,
	parent_dept int null,
	sequence_id int null,
	scheme_id int null,
	parent_job int null,
	is_key int null,
	workplace varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text null,
	work_duty text null,
	work_authority text null,
	forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_JOB_PK PRIMARY KEY (id)
);

-- JCL_ORG_JOBDT
CREATE TABLE JCL_ORG_JOBDT (
	id int IDENTITY(1,1) NOT NULL,
	mainid int NULL,
    level_id varchar(100) NULL,
    grade_id varchar(100) NULL,
    level_id_span varchar(100) NULL,
    grade_id_span varchar(100) NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_JOBDT_PK PRIMARY KEY (id)
);

-- JCL_ORG_JOBEXT
CREATE TABLE JCL_ORG_JOBEXT (
	id int IDENTITY(1,1) NOT NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_JOBEXT_PK PRIMARY KEY (id)
);

-- JCL_ORG_JOBEXT_DT1
CREATE TABLE JCL_ORG_JOBEXT_DT1 (
	id int IDENTITY(1,1) NOT NULL,
	mainid int NULL,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_JOBEXT_DT1_PK PRIMARY KEY (id)
);


-- JCL_ORG_STAFFPLAN
CREATE TABLE JCL_ORG_STAFFPLAN (
	id int IDENTITY(1,1) NOT NULL,
	plan_no varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	plan_name varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	plan_year varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	time_start date NULL,
	time_end date NULL,
	company_id varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text NULL,
    forbidden_tag int NULL,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_STAFFPLAN_PK PRIMARY KEY (id)
);

-- JCL_ORG_STAFF
CREATE TABLE JCL_ORG_STAFF (
	id int IDENTITY(1,1) NOT NULL,
	plan_id int null,
	comp_id int null,
	dept_id int null,
	job_id int null,
	staff_num int null,
	control_policy int null,
	permanent_num int null,
	freeze_num int null,
	lack_status int null,
	staff_desc varchar(100) COLLATE Chinese_PRC_CI_AS NULL,
	description text null,
    is_used int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_STAFF_PK PRIMARY KEY (id)
);

-- JCL_ORG_STAFFS
CREATE TABLE JCL_ORG_STAFFS (
	id int IDENTITY(1,1) NOT NULL,
	staff_id int null,
	business_type int null,
	change_num int null,
	business_source int null,
	requestid int null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_ORG_STAFFS_PK PRIMARY KEY (id)
);


--JCL_CODERULE
CREATE TABLE JCL_CODERULE (
    id int IDENTITY(1,1) NOT NULL,
    serial_type varchar(50) null,
    serial_enable char(1) null,
    oneself_type varchar(50) null,
    creator int null,
    delete_type int null,
    create_time date null,
    update_time date null,
    CONSTRAINT JCL_CODERULE PRIMARY KEY (id)
);

--JCL_CODERULE_DETAIL
CREATE TABLE JCL_CODERULE_DETAIL (
	id int IDENTITY(1,1) NOT NULL,
	coderule_id int(11) null,
	rule_type varchar(50) null,
	rule_value varchar(255) null,
	show_order int(11) null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_CODERULE_DETAIL PRIMARY KEY (id)
);

--JCL_CODERULE_RESERVED
CREATE TABLE JCL_CODERULE_RESERVED (
	id int IDENTITY(1,1) NOT NULL,
	coderule_id int(11) null,
	reserved_code varchar(255) null,
	reserved_desc varchar (1000) null,
	creator int null,
	delete_type int null,
	create_time date null,
	update_time date null,
	CONSTRAINT JCL_CODERULE_RESERVED PRIMARY KEY (id)
);











